ubuntu 14.04.5 gcc 4.8.4 cuda 7.5

My notebook’s environment is:
UbuntuKylin 14.04.5
gcc 4.8.4
GTX 965M

I want to install cuda7.5.
It’s ok to use gcc 4.8.4 instead of 4.8.2 ?
I used the run file to install, but got an error “The driver installation is unable to locate the kernel source”

Do you have the kernel sources installed?

Sorry, I don’t know what do you mean ?
But I’ve ran “sudo apt-get install linux-headers-$(uname -r)”

under /usr/src:
linux-headers-4.4.0-36/ linux-headers-4.4.0-36-generic/